import { ButtonColorType } from '../gov-button/button/constants';
import { TagSizesType, TagTypesType } from './constants';
export declare class GovTag {
    private h;
    constructor();
    host: HTMLGovTagElement;
    /**
     * Definition of the button icon on the left. The icon must be defined in the form "type/name".
     */
    readonly iconStart?: string;
    /**
     * Definition of the button icon on the left. The icon must be defined in the form "type/name".
     */
    readonly iconEnd?: string;
    /**
     * Tag’s size.
     */
    readonly size: TagSizesType;
    /**
     * Style variation of the tag.
     */
    readonly color: ButtonColorType;
    /**
     * Tag’s type
     */
    readonly type: TagTypesType;
    /**
     * Expands the tag to fill 100% of the container width
     */
    readonly expanded: boolean;
    validateColor(newValue: string): void;
    validateSize(newValue: string): void;
    componentWillLoad(): void;
    render(): any;
}
